Bug 12974 - network eth0 device fails to start after upgrade
Summary: network eth0 device fails to start after upgrade
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: initscripts   
(Show other bugs)
Version: 7.1
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Bill Nottingham
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2000-06-24 01:13 UTC by Chris Runge
Modified: 2014-03-17 02:14 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-06-26 03:30:15 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Chris Runge 2000-06-24 01:13:01 UTC
upgraded from 6.2 to beta 2

during reboot I get an error during networking startup; after logging in
ifconfig only shows the loopback device, not the eth0 device (which was
working fine under 6.2)

/etc/rc.d/init.d/network restart gives this
eth0: error fetching interface information: Device not found
Setting network parameters                           [OK]
Bringing up interface lo                             [OK]
Bringing up interface eth0 Delaying eth0 initialization.
                                                     [FAILED]

less /etc/sysconfig/network
NETWORKING=yes
HOSTNAME=crunge.runge
FORWARD_IPV4=no
GATEWAYDEV=eth0
GATEWAY=192.168.1.1

less /etc/sysconfig/network-scripts/ifcfg-eth0
DEVICE=eth0
BOOTPROTO-static
BROADCAST=192.168.1.255
IPADDR-192.168.1.2
NETMASK=255.255.255.0
NETWORK=192.168.1.0
ONBOOT=yes

lsmod does not show the module for my 3Com networking card (in fact, it
shows no modules loading--I wonder if this is related to bug 12972--yep, I
think that's the problem (I just did a depmod -a ; /etc/rc.d/init.d/network
restart and everything is fine)

Comment 1 R P Herrold 2000-06-26 03:30:13 UTC
I confirm this happens with both 3c509 (ISA), and the 3c59x drivers (PCI).

Additionally, this occurs with the DHCP device setup as well.

Comment 2 Bill Nottingham 2000-07-06 21:05:30 UTC
It's a failover problem from the bad upgrade logic causing the correct
modutils to not be installed.


Note You need to log in before you can comment on or make changes to this bug.